<?php

namespace App\Exports\User;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;
use App\Exports\User\User;

class AllSheets implements WithMultipleSheets
{
    public function __construct($province_id, $date_to, $date_from)
    {
        $this->province_id = $province_id;
        $this->date_to = $date_to;
        $this->date_from = $date_from;
    }

    public function sheets(): array
    {
        return [new User($this->province_id, $this->date_to, $this->date_from)];
    }
}